Package ru.bitel.bgbilling.modules.email.server.bean

# Class Domain

java.lang.Object
ru.bitel.bgbilling.modules.email.server.bean.Domain

    @Deprecated
    public class Domain
    extends java.lang.Object

Deprecated.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Domain()` | Deprecated.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.util.Map<java.lang.String,​java.lang.String>` | `getAddAttributes()` | Deprecated.
  `java.lang.String` | `getBase()` | Deprecated.
  `java.lang.String` | `getDriverClass()` | Deprecated.
  `int` | `getId()` | Deprecated.
  `int` | `getID()` | Deprecated.
  `LDAPDriver` | `getLDAPDriver()` | Deprecated.
  `java.lang.String` | `getLDAPHost()` | Deprecated.
  `java.lang.String` | `getLDAPPassword()` | Deprecated.
  `int` | `getLDAPPort()` | Deprecated.
  `java.lang.String` | `getLDAPRootNode()` | Deprecated.
  `java.lang.String` | `getLDAPUser()` | Deprecated.
  `int` | `getLikeId()` | Deprecated.
  `java.lang.String` | `getName()` | Deprecated.
  `void` | `setAddAttribute​(java.lang.String attribute, java.lang.String value)` | Deprecated.
  `void` | `setAddAttributes​(java.util.Map<java.lang.String,​java.lang.String> values)` | Deprecated.
  `void` | `setBase​(java.lang.String base)` | Deprecated.
  `void` | `setDriverClass​(java.lang.String driverClass)` | Deprecated.
  `void` | `setId​(int id)` | Deprecated.
  `void` | `setID​(int id)` | Deprecated.
  `void` | `setLDAPDriver​(LDAPDriver LDAPDriver)` | Deprecated.
  `void` | `setLDAPHost​(java.lang.String LDAPHost)` | Deprecated.
  `void` | `setLDAPPassword​(java.lang.String LDAPPassword)` | Deprecated.
  `void` | `setLDAPPort​(int LDAPPort)` | Deprecated.
  `void` | `setLDAPRootNode​(java.lang.String LDAPRootNode)` | Deprecated.
  `void` | `setLDAPUser​(java.lang.String LDAPUser)` | Deprecated.
  `void` | `setLikeId​(int likeId)` | Deprecated.
  `void` | `setName​(java.lang.String name)` | Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Domain

    public Domain()
    Deprecated.

- ## Method Details

  - ### getId

    public int getId()
    Deprecated.

  - ### getID

    @Deprecated public int getID()
    Deprecated.
    Использовать `getId()`.
    Returns:

  - ### setId

    public void setId​(int id)
    Deprecated.

  - ### setID

    @Deprecated public void setID​(int id)
    Deprecated.
    Использовать `setId(int)`.
    Parameters:
      `id` -

  - ### getName

    public java.lang.String getName()
    Deprecated.

  - ### getBase

    public java.lang.String getBase()
    Deprecated.

  - ### getLDAPPassword

    public java.lang.String getLDAPPassword()
    Deprecated.

  - ### getLDAPDriver

    public LDAPDriver getLDAPDriver()
    Deprecated.

  - ### getLDAPRootNode

    public java.lang.String getLDAPRootNode()
    Deprecated.

  - ### getLDAPUser

    public java.lang.String getLDAPUser()
    Deprecated.

  - ### getLDAPPort

    public int getLDAPPort()
    Deprecated.

  - ### getLDAPHost

    public java.lang.String getLDAPHost()
    Deprecated.

  - ### setName

    public void setName​(java.lang.String name)
    Deprecated.

  - ### setBase

    public void setBase​(java.lang.String base)
    Deprecated.

  - ### setLDAPPassword

    public void setLDAPPassword​(java.lang.String LDAPPassword)
    Deprecated.

  - ### setLDAPDriver

    public void setLDAPDriver​(LDAPDriver LDAPDriver)
    Deprecated.

  - ### setLDAPRootNode

    public void setLDAPRootNode​(java.lang.String LDAPRootNode)
    Deprecated.

  - ### setLDAPUser

    public void setLDAPUser​(java.lang.String LDAPUser)
    Deprecated.

  - ### setLDAPPort

    public void setLDAPPort​(int LDAPPort)
    Deprecated.

  - ### setLDAPHost

    public void setLDAPHost​(java.lang.String LDAPHost)
    Deprecated.

  - ### getLikeId

    public int getLikeId()
    Deprecated.

  - ### setLikeId

    public void setLikeId​(int likeId)
    Deprecated.

  - ### getDriverClass

    public java.lang.String getDriverClass()
    Deprecated.

  - ### setDriverClass

    public void setDriverClass​(java.lang.String driverClass)
    Deprecated.

  - ### setAddAttribute

    public void setAddAttribute​(java.lang.String attribute, java.lang.String value)
    Deprecated.

  - ### setAddAttributes

    public void setAddAttributes​(java.util.Map<java.lang.String,​java.lang.String> values)
    Deprecated.

  - ### getAddAttributes

    public java.util.Map<java.lang.String,​java.lang.String> getAddAttributes()
    Deprecated.